petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSFComposeInverse

Compose a new PetscSF by putting inverse of the second SF under the first one

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFComposeInverse(PetscSF sfA,PetscSF sfB,PetscSF *sfBA)

### Input Parameters

| sfA | - The first PetscSF, whose local space may be a permutation, but can not be sparse.
| sfB | - The second PetscSF, whose number of leaves must be equal to number of leaves of sfA on each processor. All roots must have degree 1.

### Output Parameters

sfBA -The composite SF. Doing a Bcast on the new SF is equvalent to doing Bcast on sfA, then Bcast on inverse of sfB

### See Also

PetscSF, PetscSFCompose(), PetscSFGetGraph(), PetscSFSetGraph()

### Level

developer

### Location

src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages